Package org.wso2.carbon.application.deployer.synapse

## Class SynapseAppDeployerConstants

- java.lang.Object
- - org.wso2.carbon.application.deployer.synapse.SynapseAppDeployerConstants

-     public class SynapseAppDeployerConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `API_TYPE` |
    `static String` | `APIS_FOLDER` |
    `static String` | `DEFAULT_DIR` |
    `static String` | `ENDPOINT_TYPE` |
    `static String` | `ENDPOINTS_FOLDER` |
    `static String` | `EVENT_SOURCE_TYPE` |
    `static String` | `EVENTS_FOLDER` |
    `static String` | `FAULT_SEQ_FILE` |
    `static String` | `INBOUND_ENDPOINT_FOLDER` |
    `static String` | `INBOUND_ENDPOINT_TYPE` |
    `static String` | `LOCAL_ENTRIES_FOLDER` |
    `static String` | `LOCAL_ENTRY_TYPE` |
    `static String` | `MAIN_SEQ_FILE` |
    `static String` | `MEDIATOR_TYPE` |
    `static String` | `MEDIATORS_FOLDER` |
    `static String` | `MESSAGE_PROCESSOR_FOLDER` |
    `static String` | `MESSAGE_PROCESSOR_TYPE` |
    `static String` | `MESSAGE_STORE_FOLDER` |
    `static String` | `MESSAGE_STORE_TYPE` |
    `static String` | `OTHER_TYPE` |
    `static String` | `PROXY_SERVICE_TYPE` |
    `static String` | `PROXY_SERVICES_FOLDER` |
    `static String` | `SEQUENCE_TYPE` |
    `static String` | `SEQUENCES_FOLDER` |
    `static String` | `SYNAPSE_CONFIGS` |
    `static String` | `SYNAPSE_DEPLOYER_REQUIRED_SERVICES` |
    `static String` | `SYNAPSE_LIBRARY_TYPE` |
    `static String` | `SYNAPSE_LIBS` |
    `static String` | `TASK_TYPE` |
    `static String` | `TASKS_FOLDER` |
    `static String` | `TEMPLATE_TYPE` |
    `static String` | `TEMPLATES_FOLDER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynapseAppDeployerConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEQUENCE_TYPE

          public static final String SEQUENCE_TYPE

      See Also:
        Constant Field Values

    - #### ENDPOINT_TYPE

          public static final String ENDPOINT_TYPE

      See Also:
        Constant Field Values

    - #### PROXY_SERVICE_TYPE

          public static final String PROXY_SERVICE_TYPE

      See Also:
        Constant Field Values

    - #### LOCAL_ENTRY_TYPE

          public static final String LOCAL_ENTRY_TYPE

      See Also:
        Constant Field Values

    - #### EVENT_SOURCE_TYPE

          public static final String EVENT_SOURCE_TYPE

      See Also:
        Constant Field Values

    - #### TASK_TYPE

          public static final String TASK_TYPE

      See Also:
        Constant Field Values

    - #### MESSAGE_STORE_TYPE

          public static final String MESSAGE_STORE_TYPE

      See Also:
        Constant Field Values

    - #### MESSAGE_PROCESSOR_TYPE

          public static final String MESSAGE_PROCESSOR_TYPE

      See Also:
        Constant Field Values

    - #### MEDIATOR_TYPE

          public static final String MEDIATOR_TYPE

      See Also:
        Constant Field Values

    - #### API_TYPE

          public static final String API_TYPE

      See Also:
        Constant Field Values

    - #### TEMPLATE_TYPE

          public static final String TEMPLATE_TYPE

      See Also:
        Constant Field Values

    - #### INBOUND_ENDPOINT_TYPE

          public static final String INBOUND_ENDPOINT_TYPE

      See Also:
        Constant Field Values

    - #### SYNAPSE_LIBRARY_TYPE

          public static final String SYNAPSE_LIBRARY_TYPE

      See Also:
        Constant Field Values

    - #### OTHER_TYPE

          public static final String OTHER_TYPE

      See Also:
        Constant Field Values

    - #### SEQUENCES_FOLDER

          public static final String SEQUENCES_FOLDER

      See Also:
        Constant Field Values

    - #### ENDPOINTS_FOLDER

          public static final String ENDPOINTS_FOLDER

      See Also:
        Constant Field Values

    - #### PROXY_SERVICES_FOLDER

          public static final String PROXY_SERVICES_FOLDER

      See Also:
        Constant Field Values

    - #### LOCAL_ENTRIES_FOLDER

          public static final String LOCAL_ENTRIES_FOLDER

      See Also:
        Constant Field Values

    - #### EVENTS_FOLDER

          public static final String EVENTS_FOLDER

      See Also:
        Constant Field Values

    - #### TASKS_FOLDER

          public static final String TASKS_FOLDER

      See Also:
        Constant Field Values

    - #### MESSAGE_STORE_FOLDER

          public static final String MESSAGE_STORE_FOLDER

      See Also:
        Constant Field Values

    - #### MESSAGE_PROCESSOR_FOLDER

          public static final String MESSAGE_PROCESSOR_FOLDER

      See Also:
        Constant Field Values

    - #### APIS_FOLDER

          public static final String APIS_FOLDER

      See Also:
        Constant Field Values

    - #### TEMPLATES_FOLDER

          public static final String TEMPLATES_FOLDER

      See Also:
        Constant Field Values

    - #### MEDIATORS_FOLDER

          public static final String MEDIATORS_FOLDER

      See Also:
        Constant Field Values

    - #### INBOUND_ENDPOINT_FOLDER

          public static final String INBOUND_ENDPOINT_FOLDER

      See Also:
        Constant Field Values

    - #### SYNAPSE_CONFIGS

          public static final String SYNAPSE_CONFIGS

      See Also:
        Constant Field Values

    - #### SYNAPSE_LIBS

          public static final String SYNAPSE_LIBS

      See Also:
        Constant Field Values

    - #### DEFAULT_DIR

          public static final String DEFAULT_DIR

      See Also:
        Constant Field Values

    - #### MAIN_SEQ_FILE

          public static final String MAIN_SEQ_FILE

      See Also:
        Constant Field Values

    - #### FAULT_SEQ_FILE

          public static final String FAULT_SEQ_FILE

      See Also:
        Constant Field Values

    - #### SYNAPSE_DEPLOYER_REQUIRED_SERVICES

          public static final String SYNAPSE_DEPLOYER_REQUIRED_SERVICES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SynapseAppDeployerConstants

          public SynapseAppDeployerConstants()